
Foreman - Support #11697

My host is not provising, error in /unattended/provision?token=

09/04/2015 08:56 AM - Aleksandr Grigorov

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases: 1.9.0

Fixed in Releases:    

Description

2015-09-04T15:47:22 [app] [I] Started GET "/unattended/provision?token=f1f3a550-71b5-4a4b-8570-acf

df345e81f" for 10.20.0.15 at 2015-09-04 15:47:22 +0300

2015-09-04T15:47:22 [app] [I] Processing by UnattendedController#provision as */*

2015-09-04T15:47:22 [app] [I]   Parameters: {"token"=>"f1f3a550-71b5-4a4b-8570-acfdf345e81f"}

2015-09-04T15:47:22 [app] [I] Found pxeboot.example.com

2015-09-04T15:47:22 [sql] [I] Remove puppet certificate for pxeboot.example.com

2015-09-04T15:47:23 [sql] [I] Adding autosign entry for pxeboot.example.com

2015-09-04T15:47:24 [app] [I] Redirected to 

2015-09-04T15:47:24 [app] [I] Completed 500 Internal Server Error in 1794.5ms

2015-09-04T15:47:24 [app] [F] 

 | ActionController::RedirectBackError (No HTTP_REFERER was set in the request to this action, so 

redirect_to :back could not be called successfully. If this is a test, make sure to specify reques

t.env["HTTP_REFERER"].):

 |   app/controllers/application_controller.rb:274:in `process_error'

 |   app/controllers/application_controller.rb:108:in `smart_proxy_exception'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | 

 | 

2015-09-04T15:47:24 [app] [I] Started GET "/unattended/provision?token=f1f3a550-71b5-4a4b-8570-acf

df345e81f" for 10.20.0.15 at 2015-09-04 15:47:24 +0300

2015-09-04T15:47:24 [app] [I] Processing by UnattendedController#provision as */*

2015-09-04T15:47:24 [app] [I]   Parameters: {"token"=>"f1f3a550-71b5-4a4b-8570-acfdf345e81f"}

2015-09-04T15:47:24 [app] [I] Found pxeboot.example.com

2015-09-04T15:47:24 [sql] [I] Remove puppet certificate for pxeboot.example.com

2015-09-04T15:47:25 [sql] [I] Adding autosign entry for pxeboot.example.com

2015-09-04T15:47:25 [app] [I] Redirected to 

2015-09-04T15:47:25 [app] [I] Completed 500 Internal Server Error in 1794.9ms

2015-09-04T15:47:25 [app] [F] 

 | ActionController::RedirectBackError (No HTTP_REFERER was set in the request to this action, so 

redirect_to :back could not be called successfully. If this is a test, make sure to specify reques

t.env["HTTP_REFERER"].):

 |   app/controllers/application_controller.rb:274:in `process_error'

 |   app/controllers/application_controller.rb:108:in `smart_proxy_exception'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | 

 | 

 I use 1.9.0 version from github.com. Install on freebsd 10.2

History

#1 - 09/04/2015 08:59 AM - Dominic Cleal

- Tracker changed from Bug to Support

The last line "2015-09-04T15:47:25 [sql] [I] Adding autosign entry for pxeboot.example.com" before the error probably indicates that it was contacting

the Puppet CA smart proxy and trying to add the host to /etc/puppet/autosign.conf.

Check the smart proxy's proxy.log file to see if there are any failures logged.
#2 - 09/04/2015 10:32 AM - Aleksandr Grigorov

Thanks, fix permision for autosign on foreman_proxy:foreman_proxy, and all ok. thx.

#3 - 09/04/2015 10:35 AM - Dominic Cleal

- Status changed from New to Resolved

Great!

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

